post
https://sandbox.saner.secpod.com/AncorWebService/perform
Create an organization.
This method allows you to add organizations in Saner Server. An organization needs a unique name, email address, end (expiry) date, and number of subscriptions. The value will be set to the administrator’s end date if you do not provide one. Please ensure that the value end date does not exceed the value of your administrator’s end date.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Organization unique name. | Yes | string |
| Organization email address. | Yes | string | |
| numberofsubscriptions | Number of subscriptions to be allocated (expected integer). | Yes | string |
| enddate | Organization end (expiry) date in format yyyy-mm-dd. | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Organization.add(
name="OrgName",
email="[email protected]",
numberofsubscriptions="100"
)
print(response)
client.close()Requires Python 3.9 or later.